Avid_MC_Mob_ReferenceImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.extensions.avid.impl

## Class Avid_MC_Mob_ReferenceImpl

- java.lang.Object
- - tv.amwa.maj.model.impl.InterchangeObjectImpl
  - - tv.amwa.maj.extensions.avid.impl.Avid_MC_Mob_ReferenceImpl

- All Implemented Interfaces:
    Serializable, Cloneable, Avid_MC_Mob_Reference, MediaEntity, MetadataObject, InterchangeObject

      @MediaClass(uuid1=1712978144,
                  uuid2=-393,
                  uuid3=4563,
                  uuid4={-96,-124,0,96,-108,-21,117,-53},
                  definedName="Avid MC Mob Reference",
                  description="Avid extension MC mob reference.",
                  symbol="Avid_MC_Mob_Reference",
                  namespace="http://www.amwa.tv/is03/extensions/avid",
                  prefix="avid")
      public class Avid_MC_Mob_ReferenceImpl
      extends InterchangeObjectImpl
      implements Avid_MC_Mob_Reference, Cloneable, Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `ObjectClassPropertyID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Avid_MC_Mob_ReferenceImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Avid_MC_Mob_Reference` | `clone()` Create a cloned copy of this interchange object.
    `PackageID` | `getMobReferenceMobID()`
    `long` | `getMobReferencePosition()`
    `void` | `setMobReferenceMobID(PackageID mobReferenceMobID)`
    `void` | `setMobReferencePosition(long mobReferencePosition)`

    - ### Methods inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `addApplicationPlugin, appendXMLChildren, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getComment, getGeneration, getLinkedGenerationID, getLinkedGenerationIDString, getObjectClass, getPersistentID, getPersistentIndex, hashCode, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setLinkedGenerationIDString, setObjectClass, setPersistentID, setPersistentIndex, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Constructor Detail

    - #### Avid_MC_Mob_ReferenceImpl

          public Avid_MC_Mob_ReferenceImpl()

  - ### Method Detail

    - #### getMobReferenceMobID

          @MediaProperty(uuid1=-2129588577,
                         uuid2=-388,
                         uuid3=4563,
                         uuid4={-96,-124,0,96,-108,-21,117,-53},
                         definedName="Mob Reference MobID",
                         typeName="PackageIDType",
                         optional=false,
                         uniqueIdentifier=false,
                         pid=0,
                         symbol="Mob_Reference_MobID")
          public PackageID getMobReferenceMobID()

      Specified by:
        `getMobReferenceMobID` in interface `Avid_MC_Mob_Reference`

    - #### setMobReferenceMobID

          @MediaPropertySetter(value="Mob Reference MobID")
          public void setMobReferenceMobID(PackageID mobReferenceMobID)
                                                                                      throws NullPointerException

      Specified by:
        `setMobReferenceMobID` in interface `Avid_MC_Mob_Reference`
      Throws:
        `NullPointerException`

    - #### getMobReferencePosition

          @MediaProperty(uuid1=-2129588576,
                         uuid2=-388,
                         uuid3=4563,
                         uuid4={-96,-124,0,96,-108,-21,117,-53},
                         definedName="Mob Reference Position",
                         typeName="Int64",
                         optional=false,
                         uniqueIdentifier=false,
                         pid=0,
                         symbol="Mob_Reference_Position")
           @Int64
          public long getMobReferencePosition()

      Specified by:
        `getMobReferencePosition` in interface `Avid_MC_Mob_Reference`

    - #### setMobReferencePosition

          @MediaPropertySetter(value="Mob Reference Position")
          public void setMobReferencePosition(@Int64
                                                                                                   long mobReferencePosition)

      Specified by:
        `setMobReferencePosition` in interface `Avid_MC_Mob_Reference`

    - #### clone

          public Avid_MC_Mob_Reference clone()

      Description copied from interface: `InterchangeObject`

      Create a cloned copy of this interchange object.

      Specified by:
        `clone` in interface `Avid_MC_Mob_Reference`
      Specified by:
        `clone` in interface `MediaEntity`
      Specified by:
        `clone` in interface `InterchangeObject`
      Overrides:
        `clone` in class `InterchangeObjectImpl`
      Returns:
        Cloned copy of this interchange object.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.